import { BaseXform } from "@excel/xlsx/xform/base-xform";
import { SharedStringXform } from "@excel/xlsx/xform/strings/shared-string-xform";
interface SharedStringsModel {
    values: any[];
    count: number;
}
declare class SharedStringsXform extends BaseXform {
    private hash;
    private rich;
    parser: any;
    private _sharedStringXform?;
    private _values?;
    constructor(model?: SharedStringsModel);
    get sharedStringXform(): SharedStringXform;
    get values(): any[];
    get uniqueCount(): number;
    get count(): number;
    getString(index: number): any;
    add(value: any): number;
    addText(value: string): number;
    addRichText(value: any): number;
    render(xmlStream: any, model?: SharedStringsModel): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
}
export { SharedStringsXform };
